namespace InABox.Avalonia
{
    public abstract class MobileVideoSource<TSource, TOptions> : MobileDocumentSource<TOptions>
        where TOptions : MobileVideoOptions<TSource>, new()
        where TSource : MobileDocumentSource
    {
        
        protected MobileVideoSource(TOptions options) : base(options)
        {
        }
        
        protected override void ApplyOptions(MobileDocument document)
        {
            // Nothing to do here
        }


    }
}